# R Script to download data for the Project

## First try to download one months of data.  

num_months = 12   # to download the full year of data, set equal to 12.

library(pacman)
p_load(tidyverse, stringr, fs, nycflights13, anyflights, tictoc)

ba_airports <- get_airports()

## Check out the *stringr* R package to learn about the str_detect() function.
## When you do not know exactly what you are searching for in a column of data
## you can use this function to take a guess and see if you can find what you 
## are looking for.

ba_airports %>% filter(str_detect(name, "San Jose"))

tic()
x <- anyflights(station = c("SFO","OAK","SJC"), 
                          year = 2019,
                          month = 1:num_months)
toc()

if (dir_exists("data")) dir_delete("data")
if (!dir_exists("data")) dir_create("data")

# write .Rds
write_rds(x$airlines, "data/airlines.Rds")
write_rds(x$airports, "data/airports.Rds")
write_rds(x$flights, "data/flights.Rds")
write_rds(x$planes, "data/planes.Rds")
write_rds(x$weather, "data/weather.Rds")
